local IsGarrison, ADDON = {
	[1152] = true,
	[1330] = true,
	[1153] = true,
	[1154] = true,
	[1158] = true,
	[1331] = true,
	[1159] = true,
	[1160] = true,
}, ...

local f, AlreadyReplaced = CreateFrame('frame'), false
f:SetScript('OnEvent', function(self, event, ...)
	local _, _, _, _, _, _, _, instance = GetInstanceInfo()
	local shouldReplace = IsGarrison[instance] and not IsIndoors()
	if shouldReplace and not AlreadyReplaced then
		Minimap:SetBlipTexture('interface/addons/' .. ADDON .. '/objecticons.tga')
		Minimap:UpdateBlips() -- seems to reduce icon jittering when replacing the texture
	elseif AlreadyReplaced and not shouldReplace then
		Minimap:SetBlipTexture('interface/minimap/objecticons')
		Minimap:UpdateBlips()
	end
	AlreadyReplaced = shouldReplace
end)
f:RegisterEvent('PLAYER_ENTERING_WORLD')
f:RegisterEvent('ZONE_CHANGED_NEW_AREA')
f:RegisterEvent('ZONE_CHANGED')
f:RegisterEvent('NEW_WMO_CHUNK')